package org.apache.bcel.generic;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.bcel.generic.IFLE;
import org.apache.bcel.generic.IfInstruction;
import org.apache.bcel.generic.InstructionHandle;
import org.apache.bcel.generic.Visitor;

public class IFGT extends IfInstruction {
  IFGT() {}
  
  public IFGT(InstructionHandle target) {
    super((short)157, target);
  }
  
  public void accept(Visitor v) {
    v.visitStackConsumer(this);
    v.visitBranchInstruction(this);
    v.visitIfInstruction(this);
    v.visitIFGT(this);
  }
  
  public IfInstruction negate() {
    return new IFLE(getTarget());
  }
}
